/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "meta.pmh"
#include "platform/dlCore.cc"

using namespace fe;

extern "C"
{

FE_DL_EXPORT void ListDependencies(List<String*>& list)
{
//	printf("HoudiniDL ListDependencies\n");
//	list.append(new String("fexOpenGLDL"));
	list.append(new String("fexOperateDL"));
}

FE_DL_EXPORT Library* CreateLibrary(sp<Master>)
{
//	printf("HoudiniDL CreateLibrary\n");
	Library *pLibrary = new Library();
	return pLibrary;
}

FE_DL_EXPORT void InitializeLibrary(sp<Library> spLibrary)
{
}

}
